%define version 0.3.7
%define release %mkrel 1
%define firefox_epoch %(rpm -q --queryformat %{EPOCH} mozilla-firefox)
%define firefox_version %(rpm -q --queryformat %{VERSION} mozilla-firefox)

Summary:   	User-friendly telnet client designed for BBS browsing
Name:      	pcmanx-gtk2
Version:   	%{version}
Release:   	%{release}
License: 	GPLv2+
Group:    	Networking/Other
Source0:	http://pcmanx.csie.net/release/%{name}-%{version}.tar.bz2
Url:       	http://pcmanx.csie.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gtk2-devel desktop-file-utils
BuildRequires:	X11-devel
BuildRequires:	intltool
BuildRequires:	ImageMagick
BuildRequires:	mozilla-firefox-devel
Provides:	pcmanx = %{version}-%{release}
Obsoletes:	pcmanx-pure-gtk2

%description
An easy-to-use telnet client mainly targets BBS users.
PCMan X is a newly developed GPL'd version of PCMan, a full-featured famous BBS
client formerly designed for MS Windows only.
It aimed to be an easy-to-use yet full-featured telnet client facilitating BBS
browsing with the ability to process double-byte characters.

%package -n mozilla-firefox-ext-pcmanx
Group:		Networking/Other
Summary:	pcmanx-gtk2 Mozillia Firefox plugin
Requires:	mozilla-firefox = %{firefox_epoch}:%{firefox_version}
Requires:	%name = %version

%description -n mozilla-firefox-ext-pcmanx
This package contains pcmanx-gtk2 plugin for Mozilla Firefox.

%prep
%setup -q

%build
%configure2_5x --disable-static --enable-plugin
%make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

# icon
mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
install -m 644 data/pcmanx.png $RPM_BUILD_ROOT%{_liconsdir}/pcmanx.png
convert -resize 32x32 data/pcmanx.png $RPM_BUILD_ROOT%{_iconsdir}/pcmanx.png
convert -resize 16x16 data/pcmanx.png $RPM_BUILD_ROOT%{_miconsdir}/pcmanx.png

desktop-file-install --vendor="" \
	--remove-category="Application" \
	--add-category="RemoteAccess" \
	--remove-key='Encoding' \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	$RPM_BUILD_ROOT%{_datadir}/applications/*

# fwang: remove devel files
rm -f %buildroot%_libdir/{*.la,*.so}

%find_lang pcmanx

%post
%update_menus

%postun
%clean_menus

%files -f pcmanx.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/pcmanx
%{_libdir}/libpcmanx_core.so.*
%{_iconsdir}/pcmanx.png
%{_liconsdir}/pcmanx.png
%{_miconsdir}/pcmanx.png
%{_datadir}/pcmanx
%{_datadir}/pixmaps/pcmanx.png
%{_datadir}/applications/*.desktop

%files -n mozilla-firefox-ext-pcmanx
%defattr(-,root,root)
%{_libdir}/firefox-%{firefox_version}/components/*
%{_libdir}/firefox-%{firefox_version}/plugins/*.so

%clean
rm -rf %{buildroot}


%changelog
* Sat Jan 26 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-1mdv2008.1
+ Revision: 158185
- New version 0.3.7
- Enable firefox plugin

* Fri Jan 25 2008 Funda Wang <fundawang@mandriva.org> 0.3.6-3mdv2008.1
+ Revision: 157773
- rebuild to obsolete old name

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Funda Wang <fundawang@mandriva.org> 0.3.6-2mdv2008.0
+ Revision: 93962
- drop requires of devel packages by removing devel files

* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 0.3.6-1mdv2008.0
+ Revision: 78191
- add RemoteAccess category
- New version 0.3.6, patch not needed.

* Sun Sep 02 2007 Funda Wang <fundawang@mandriva.org> 0.3.5-5mdv2008.0
+ Revision: 77978
- Obsoletes old name

* Thu Jun 07 2007 Funda Wang <fundawang@mandriva.org> 0.3.5-4mdv2008.0
+ Revision: 36639
- Finally fix duplicate desktop entry problem
- BuildRequires desktop-file-utils
- Provides pcmanx
- use xdg category
- clean old menu
  use find_lang


* Sun Dec 24 2006 Stefan van der Eijk <stefan@mandriva.org> 0.3.5-3mdv2007.0
+ Revision: 101994
- fix release
- Import pcmanx-gtk2

* Wed Sep 06 2006 You-Cheng Hsieh <yochenhsieh@xuite.net> 0.3.5-2mdv2007.0
- Switch to XDG menu
- fix XDG migration (tv)

* Sat Sep 02 2006 You-Cheng Hsieh <yochenhsieh@xuite.net> 0.3.5-1mdv2007.0
- New Release

* Sat Aug 20 2005 You-Cheng Hsieh <yochenhsieh@xuite.net> 0.2.6-1mdk
- First Mandriva Linux package
- rpmlint fixes (Thierry Vignaud)

